% generate random 20-D data

X=randn(500,20);

% run conditional FA with first 9 as inputs, next 11 as output
% and three hidden factors

[B,C,Q,R,Mu,LL]=fcfa(X,9,3,500,0); 

semilogy(diff(LL));
grid;
title('Convergence in Log Likelihood');
xlabel('Iterations of EM');
ylabel('Change in log likelihood');
